import { merge } from 'lodash';
export declare function getPrettyShopifyObjectType(s: string): string;
export declare function sleep(ms: number): Promise<unknown>;
/**
 * Great to use when using Array.prototype.filter since the type guard will remove
 * nil types from the array
 * @param value
 * @returns
 */
export declare function isPresent<TValue>(value: TValue | null | undefined): value is TValue;
export * from './dateUtil';
export declare function mergeWithCombinedArrays(...params: Parameters<typeof merge>): ReturnType<typeof merge>;
export declare function mergeWithOverwrittenArrays(...params: Parameters<typeof merge>): ReturnType<typeof merge>;
export declare function range(num: number): number[];
export declare function getIntFromEnv(envVarName: string, defaultValue: number): number;
